devops: drop infra for building 32-bit windows browsers (#9834)

This commit is contained in:
Andrey Lushnikov 2021-10-27 17:20:23 -07:00 committed by GitHub
parent b1e555889f
commit 47d9b23949
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
13 changed files with 16 additions and 85 deletions

View file

@ -4,7 +4,7 @@ set +x
set -o pipefail set -o pipefail
if [[ ($1 == '--help') || ($1 == '-h') ]]; then if [[ ($1 == '--help') || ($1 == '-h') ]]; then
echo "usage: $(basename "$0") [firefox-linux|firefox-win32|firefox-win64|webkit-gtk|webkit-wpe|webkit-gtk-wpe|webkit-win64|webkit-mac-10.15] [-f|--force]" echo "usage: $(basename "$0") [firefox-linux|firefox-win64|webkit-gtk|webkit-wpe|webkit-gtk-wpe|webkit-win64|webkit-mac-10.15] [-f|--force]"
echo echo
echo "Prepares checkout under browser folder, applies patches, builds, archives, and uploads if build is missing." echo "Prepares checkout under browser folder, applies patches, builds, archives, and uploads if build is missing."
echo "Script will bail out early if the build for the browser version is already present." echo "Script will bail out early if the build for the browser version is already present."
@ -66,12 +66,6 @@ elif [[ "$BUILD_FLAVOR" == "ffmpeg-linux" ]]; then
EXPECTED_HOST_OS="Ubuntu" EXPECTED_HOST_OS="Ubuntu"
EXPECTED_HOST_OS_VERSION="20.04" EXPECTED_HOST_OS_VERSION="20.04"
BUILD_BLOB_NAME="ffmpeg-linux.zip" BUILD_BLOB_NAME="ffmpeg-linux.zip"
elif [[ "$BUILD_FLAVOR" == "ffmpeg-cross-compile-win32" ]]; then
BROWSER_NAME="ffmpeg"
EXTRA_BUILD_ARGS="--cross-compile-win32"
EXPECTED_HOST_OS="Ubuntu"
EXPECTED_HOST_OS_VERSION="20.04"
BUILD_BLOB_NAME="ffmpeg-win32.zip"
elif [[ "$BUILD_FLAVOR" == "ffmpeg-cross-compile-win64" ]]; then elif [[ "$BUILD_FLAVOR" == "ffmpeg-cross-compile-win64" ]]; then
BROWSER_NAME="ffmpeg" BROWSER_NAME="ffmpeg"
EXTRA_BUILD_ARGS="--cross-compile-win64" EXTRA_BUILD_ARGS="--cross-compile-win64"
@ -82,12 +76,6 @@ elif [[ "$BUILD_FLAVOR" == "ffmpeg-cross-compile-win64" ]]; then
# =========================== # ===========================
# CHROMIUM COMPILATION # CHROMIUM COMPILATION
# =========================== # ===========================
elif [[ "$BUILD_FLAVOR" == "chromium-win32" ]]; then
BROWSER_NAME="chromium"
EXTRA_BUILD_ARGS="--compile-win32"
EXTRA_ARCHIVE_ARGS="--compile-win32"
EXPECTED_HOST_OS="MINGW"
BUILD_BLOB_NAME="chromium-win32.zip"
elif [[ "$BUILD_FLAVOR" == "chromium-win64" ]]; then elif [[ "$BUILD_FLAVOR" == "chromium-win64" ]]; then
BROWSER_NAME="chromium" BROWSER_NAME="chromium"
EXTRA_BUILD_ARGS="--compile-win64" EXTRA_BUILD_ARGS="--compile-win64"
@ -119,14 +107,6 @@ elif [[ "$BUILD_FLAVOR" == "chromium-linux" ]]; then
# =========================== # ===========================
# CHROMIUM-WITH-SYMBOLS COMPILATION # CHROMIUM-WITH-SYMBOLS COMPILATION
# =========================== # ===========================
elif [[ "$BUILD_FLAVOR" == "chromium-with-symbols-win32" ]]; then
BROWSER_NAME="chromium"
BROWSER_DISPLAY_NAME="chromium-with-symbols"
EXTRA_BUILD_ARGS="--compile-win32 --symbols"
EXTRA_ARCHIVE_ARGS="--compile-win32"
EXPECTED_HOST_OS="MINGW"
BUILD_BLOB_NAME="chromium-with-symbols-win32.zip"
BUILDS_LIST="EXPECTED_BUILDS_WITH_SYMBOLS"
elif [[ "$BUILD_FLAVOR" == "chromium-with-symbols-win64" ]]; then elif [[ "$BUILD_FLAVOR" == "chromium-with-symbols-win64" ]]; then
BROWSER_NAME="chromium" BROWSER_NAME="chromium"
BROWSER_DISPLAY_NAME="chromium-with-symbols" BROWSER_DISPLAY_NAME="chromium-with-symbols"
@ -181,13 +161,6 @@ elif [[ "$BUILD_FLAVOR" == "chromium-mac-mirror-to-cdn" ]]; then
EXPECTED_HOST_OS="Ubuntu" EXPECTED_HOST_OS="Ubuntu"
EXPECTED_HOST_OS_VERSION="18.04" EXPECTED_HOST_OS_VERSION="18.04"
BUILD_BLOB_NAME="chromium-mac.zip" BUILD_BLOB_NAME="chromium-mac.zip"
elif [[ "$BUILD_FLAVOR" == "chromium-win32-mirror-to-cdn" ]]; then
BROWSER_NAME="chromium"
EXTRA_BUILD_ARGS="--mirror-win32"
EXTRA_ARCHIVE_ARGS="--mirror-win32"
EXPECTED_HOST_OS="Ubuntu"
EXPECTED_HOST_OS_VERSION="18.04"
BUILD_BLOB_NAME="chromium-win32.zip"
elif [[ "$BUILD_FLAVOR" == "chromium-win64-mirror-to-cdn" ]]; then elif [[ "$BUILD_FLAVOR" == "chromium-win64-mirror-to-cdn" ]]; then
BROWSER_NAME="chromium" BROWSER_NAME="chromium"
EXTRA_BUILD_ARGS="--mirror-win64" EXTRA_BUILD_ARGS="--mirror-win64"
@ -226,14 +199,9 @@ elif [[ "$BUILD_FLAVOR" == "firefox-mac-11-arm64" ]]; then
EXPECTED_HOST_OS_VERSION="11.6" EXPECTED_HOST_OS_VERSION="11.6"
EXPECTED_ARCH="arm64" EXPECTED_ARCH="arm64"
BUILD_BLOB_NAME="firefox-mac-11-arm64.zip" BUILD_BLOB_NAME="firefox-mac-11-arm64.zip"
elif [[ "$BUILD_FLAVOR" == "firefox-win32" ]]; then
BROWSER_NAME="firefox"
EXTRA_BUILD_ARGS="--full"
EXPECTED_HOST_OS="MINGW"
BUILD_BLOB_NAME="firefox-win32.zip"
elif [[ "$BUILD_FLAVOR" == "firefox-win64" ]]; then elif [[ "$BUILD_FLAVOR" == "firefox-win64" ]]; then
BROWSER_NAME="firefox" BROWSER_NAME="firefox"
EXTRA_BUILD_ARGS="--win64 --full" EXTRA_BUILD_ARGS="--full"
EXPECTED_HOST_OS="MINGW" EXPECTED_HOST_OS="MINGW"
BUILD_BLOB_NAME="firefox-win64.zip" BUILD_BLOB_NAME="firefox-win64.zip"
@ -267,14 +235,9 @@ elif [[ "$BUILD_FLAVOR" == "firefox-beta-mac-11-arm64" ]]; then
EXPECTED_HOST_OS_VERSION="11.6" EXPECTED_HOST_OS_VERSION="11.6"
EXPECTED_ARCH="arm64" EXPECTED_ARCH="arm64"
BUILD_BLOB_NAME="firefox-beta-mac-11-arm64.zip" BUILD_BLOB_NAME="firefox-beta-mac-11-arm64.zip"
elif [[ "$BUILD_FLAVOR" == "firefox-beta-win32" ]]; then
BROWSER_NAME="firefox-beta"
EXTRA_BUILD_ARGS="--full"
EXPECTED_HOST_OS="MINGW"
BUILD_BLOB_NAME="firefox-beta-win32.zip"
elif [[ "$BUILD_FLAVOR" == "firefox-beta-win64" ]]; then elif [[ "$BUILD_FLAVOR" == "firefox-beta-win64" ]]; then
BROWSER_NAME="firefox-beta" BROWSER_NAME="firefox-beta"
EXTRA_BUILD_ARGS="--win64 --full" EXTRA_BUILD_ARGS="--full"
EXPECTED_HOST_OS="MINGW" EXPECTED_HOST_OS="MINGW"
BUILD_BLOB_NAME="firefox-beta-win64.zip" BUILD_BLOB_NAME="firefox-beta-win64.zip"

View file

@ -1,5 +1,4 @@
chromium-mac.zip chromium-mac.zip
chromium-mac-arm64.zip chromium-mac-arm64.zip
chromium-linux.zip chromium-linux.zip
chromium-win32.zip
chromium-win64.zip chromium-win64.zip

View file

@ -1,5 +1,4 @@
chromium-with-symbols-mac.zip chromium-with-symbols-mac.zip
chromium-with-symbols-mac-arm64.zip chromium-with-symbols-mac-arm64.zip
chromium-with-symbols-linux.zip chromium-with-symbols-linux.zip
chromium-with-symbols-win32.zip
chromium-with-symbols-win64.zip chromium-with-symbols-win64.zip

View file

@ -60,10 +60,6 @@ function archive_compiled_chromium() {
# Run python script and convert output to array. # Run python script and convert output to array.
IFS=$'\n' CHROMIUM_FILES_TO_ARCHIVE=($(python "${SCRIPT_PATH}/compute_files_to_archive.py" 64bit "${CR_CHECKOUT_PATH}/src/chrome/tools/build/linux/FILES.cfg")) IFS=$'\n' CHROMIUM_FILES_TO_ARCHIVE=($(python "${SCRIPT_PATH}/compute_files_to_archive.py" 64bit "${CR_CHECKOUT_PATH}/src/chrome/tools/build/linux/FILES.cfg"))
unset IFS unset IFS
elif [[ $1 == "--compile-win32" ]]; then
CHROMIUM_FOLDER_NAME="chrome-win"
IFS=$'\n\r' CHROMIUM_FILES_TO_ARCHIVE=($(python "${SCRIPT_PATH}/compute_files_to_archive.py" 32bit "${CR_CHECKOUT_PATH}/src/chrome/tools/build/win/FILES.cfg"))
unset IFS
elif [[ $1 == "--compile-win64" ]]; then elif [[ $1 == "--compile-win64" ]]; then
CHROMIUM_FOLDER_NAME="chrome-win" CHROMIUM_FOLDER_NAME="chrome-win"
IFS=$'\n\r' CHROMIUM_FILES_TO_ARCHIVE=($(python "${SCRIPT_PATH}/compute_files_to_archive.py" 64bit "${CR_CHECKOUT_PATH}/src/chrome/tools/build/win/FILES.cfg")) IFS=$'\n\r' CHROMIUM_FILES_TO_ARCHIVE=($(python "${SCRIPT_PATH}/compute_files_to_archive.py" 64bit "${CR_CHECKOUT_PATH}/src/chrome/tools/build/win/FILES.cfg"))

View file

@ -6,7 +6,7 @@ trap "cd $(pwd -P)" EXIT
cd "$(dirname "$0")" cd "$(dirname "$0")"
USAGE=$(cat<<EOF USAGE=$(cat<<EOF
usage: $(basename "$0") [--mirror|--mirror-linux|--mirror-win32|--mirror-win64|--mirror-mac|--compile-mac-arm64|--compile-linux|--compile-win32|--compile-win64|--compile-mac] usage: $(basename "$0") [--mirror|--mirror-linux|--mirror-win64|--mirror-mac|--compile-mac-arm64|--compile-linux|--compile-win64|--compile-mac]
Either compiles chromium or mirrors it from Chromium Continuous Builds CDN. Either compiles chromium or mirrors it from Chromium Continuous Builds CDN.
EOF EOF
@ -68,8 +68,6 @@ compile_chromium() {
if [[ $1 == "--compile-mac-arm64" ]]; then if [[ $1 == "--compile-mac-arm64" ]]; then
echo 'target_cpu = "arm64"' >> ./out/Default/args.gn echo 'target_cpu = "arm64"' >> ./out/Default/args.gn
elif [[ $1 == "--compile-win32" ]]; then
echo 'target_cpu = "x86"' >> ./out/Default/args.gn
fi fi
if [[ ! -z "$USE_GOMA" ]]; then if [[ ! -z "$USE_GOMA" ]]; then
@ -130,9 +128,7 @@ mirror_chromium() {
fi fi
CRREV=$(head -1 "${SCRIPT_FOLDER}/BUILD_NUMBER") CRREV=$(head -1 "${SCRIPT_FOLDER}/BUILD_NUMBER")
if [[ "${PLATFORM}" == "--mirror-win32" ]]; then if [[ "${PLATFORM}" == "--mirror-win64" ]]; then
CHROMIUM_URL="https://storage.googleapis.com/chromium-browser-snapshots/Win/${CRREV}/chrome-win.zip"
elif [[ "${PLATFORM}" == "--mirror-win64" ]]; then
CHROMIUM_URL="https://storage.googleapis.com/chromium-browser-snapshots/Win_x64/${CRREV}/chrome-win.zip" CHROMIUM_URL="https://storage.googleapis.com/chromium-browser-snapshots/Win_x64/${CRREV}/chrome-win.zip"
elif [[ "${PLATFORM}" == "--mirror-mac" ]]; then elif [[ "${PLATFORM}" == "--mirror-mac" ]]; then
CHROMIUM_URL="https://storage.googleapis.com/chromium-browser-snapshots/Mac/${CRREV}/chrome-mac.zip" CHROMIUM_URL="https://storage.googleapis.com/chromium-browser-snapshots/Mac/${CRREV}/chrome-mac.zip"

View file

@ -1,5 +1,4 @@
ffmpeg-mac.zip ffmpeg-mac.zip
ffmpeg-linux.zip ffmpeg-linux.zip
ffmpeg-win32.zip
ffmpeg-win64.zip ffmpeg-win64.zip

View file

@ -52,7 +52,6 @@ Prerequisites:
Building: Building:
``` ```
~/playwright$ ./browser_patches/ffmpeg/build.sh --cross-compile-win32
~/playwright$ ./browser_patches/ffmpeg/build.sh --cross-compile-win64 ~/playwright$ ./browser_patches/ffmpeg/build.sh --cross-compile-win64
``` ```

View file

@ -21,7 +21,7 @@ trap "cd $(pwd -P)" EXIT
cd "$(dirname $0)" cd "$(dirname $0)"
if [[ ("$1" == "-h") || ("$1" == "--help") ]]; then if [[ ("$1" == "-h") || ("$1" == "--help") ]]; then
echo "usage: $(basename $0) [--mac|--linux|--cross-compile-win32|--cross-compile-win64]" echo "usage: $(basename $0) [--mac|--linux|--cross-compile-win64]"
echo echo
echo "Build ffmpeg for the given platform" echo "Build ffmpeg for the given platform"
echo echo
@ -63,10 +63,7 @@ elif [[ "$1" == --cross-compile-win* ]]; then
exit 1 exit 1
fi fi
if [[ "$1" == "--cross-compile-win32" ]]; then if [[ "$1" == "--cross-compile-win64" ]]; then
time docker run --init --rm -v"${PWD}":/host ${dockerflags} ubuntu:18.04 bash /host/crosscompile-from-linux-to-win.sh --win32 /host/output/ffmpeg-win32.exe
cd output && zip ffmpeg.zip ffmpeg-win32.exe "${LICENSE_FILE}"
elif [[ "$1" == "--cross-compile-win64" ]]; then
time docker run --init --rm -v"${PWD}":/host ${dockerflags} ubuntu:18.04 bash /host/crosscompile-from-linux-to-win.sh --win64 /host/output/ffmpeg-win64.exe time docker run --init --rm -v"${PWD}":/host ${dockerflags} ubuntu:18.04 bash /host/crosscompile-from-linux-to-win.sh --win64 /host/output/ffmpeg-win64.exe
cd output && zip ffmpeg.zip ffmpeg-win64.exe "${LICENSE_FILE}" cd output && zip ffmpeg.zip ffmpeg-win64.exe "${LICENSE_FILE}"
else else

View file

@ -2,5 +2,4 @@ firefox-beta-mac-11.zip
firefox-beta-mac-11-arm64.zip firefox-beta-mac-11-arm64.zip
firefox-beta-ubuntu-18.04.zip firefox-beta-ubuntu-18.04.zip
firefox-beta-ubuntu-20.04.zip firefox-beta-ubuntu-20.04.zip
firefox-beta-win32.zip
firefox-beta-win64.zip firefox-beta-win64.zip

View file

@ -37,16 +37,10 @@ elif [[ "$(uname)" == MINGW* ]]; then
echo "ac_add_options --disable-update-agent" >> .mozconfig echo "ac_add_options --disable-update-agent" >> .mozconfig
echo "ac_add_options --disable-default-browser-agent" >> .mozconfig echo "ac_add_options --disable-default-browser-agent" >> .mozconfig
DLL_FILE="" echo "-- building win64 build on MINGW"
if [[ $1 == "--win64" ]]; then echo "ac_add_options --target=x86_64-pc-mingw32" >> .mozconfig
echo "-- building win64 build on MINGW" echo "ac_add_options --host=x86_64-pc-mingw32" >> .mozconfig
echo "ac_add_options --target=x86_64-pc-mingw32" >> .mozconfig DLL_FILE=$("C:\Program Files (x86)\Microsoft Visual Studio\Installer\vswhere.exe" -latest -find '**\Redist\MSVC\*\x64\**\vcruntime140.dll')
echo "ac_add_options --host=x86_64-pc-mingw32" >> .mozconfig
DLL_FILE=$("C:\Program Files (x86)\Microsoft Visual Studio\Installer\vswhere.exe" -latest -find '**\Redist\MSVC\*\x64\**\vcruntime140.dll')
else
echo "-- building win32 build on MINGW"
DLL_FILE=$("C:\Program Files (x86)\Microsoft Visual Studio\Installer\vswhere.exe" -latest -find '**\Redist\MSVC\*\x86\**\vcruntime140.dll')
fi
WIN32_REDIST_DIR=$(dirname "$DLL_FILE") WIN32_REDIST_DIR=$(dirname "$DLL_FILE")
if ! [[ -d $WIN32_REDIST_DIR ]]; then if ! [[ -d $WIN32_REDIST_DIR ]]; then
echo "ERROR: cannot find MS VS C++ redistributable $WIN32_REDIST_DIR" echo "ERROR: cannot find MS VS C++ redistributable $WIN32_REDIST_DIR"

View file

@ -2,5 +2,4 @@ firefox-mac-11.zip
firefox-mac-11-arm64.zip firefox-mac-11-arm64.zip
firefox-ubuntu-18.04.zip firefox-ubuntu-18.04.zip
firefox-ubuntu-20.04.zip firefox-ubuntu-20.04.zip
firefox-win32.zip
firefox-win64.zip firefox-win64.zip

View file

@ -41,16 +41,10 @@ elif [[ "$(uname)" == MINGW* ]]; then
echo "ac_add_options --disable-update-agent" >> .mozconfig echo "ac_add_options --disable-update-agent" >> .mozconfig
echo "ac_add_options --disable-default-browser-agent" >> .mozconfig echo "ac_add_options --disable-default-browser-agent" >> .mozconfig
DLL_FILE="" echo "-- building win64 build on MINGW"
if [[ $1 == "--win64" ]]; then echo "ac_add_options --target=x86_64-pc-mingw32" >> .mozconfig
echo "-- building win64 build on MINGW" echo "ac_add_options --host=x86_64-pc-mingw32" >> .mozconfig
echo "ac_add_options --target=x86_64-pc-mingw32" >> .mozconfig DLL_FILE=$("C:\Program Files (x86)\Microsoft Visual Studio\Installer\vswhere.exe" -latest -find '**\Redist\MSVC\*\x64\**\vcruntime140.dll')
echo "ac_add_options --host=x86_64-pc-mingw32" >> .mozconfig
DLL_FILE=$("C:\Program Files (x86)\Microsoft Visual Studio\Installer\vswhere.exe" -latest -find '**\Redist\MSVC\*\x64\**\vcruntime140.dll')
else
echo "-- building win32 build on MINGW"
DLL_FILE=$("C:\Program Files (x86)\Microsoft Visual Studio\Installer\vswhere.exe" -latest -find '**\Redist\MSVC\*\x86\**\vcruntime140.dll')
fi
WIN32_REDIST_DIR=$(dirname "$DLL_FILE") WIN32_REDIST_DIR=$(dirname "$DLL_FILE")
if ! [[ -d $WIN32_REDIST_DIR ]]; then if ! [[ -d $WIN32_REDIST_DIR ]]; then
echo "ERROR: cannot find MS VS C++ redistributable $WIN32_REDIST_DIR" echo "ERROR: cannot find MS VS C++ redistributable $WIN32_REDIST_DIR"

View file

@ -51,7 +51,6 @@ const EXECUTABLE_PATHS = {
'mac10.15': ['firefox', 'Nightly.app', 'Contents', 'MacOS', 'firefox'], 'mac10.15': ['firefox', 'Nightly.app', 'Contents', 'MacOS', 'firefox'],
'mac11': ['firefox', 'Nightly.app', 'Contents', 'MacOS', 'firefox'], 'mac11': ['firefox', 'Nightly.app', 'Contents', 'MacOS', 'firefox'],
'mac11-arm64': ['firefox', 'Nightly.app', 'Contents', 'MacOS', 'firefox'], 'mac11-arm64': ['firefox', 'Nightly.app', 'Contents', 'MacOS', 'firefox'],
'win32': ['firefox', 'firefox.exe'],
'win64': ['firefox', 'firefox.exe'], 'win64': ['firefox', 'firefox.exe'],
}; };
@ -63,7 +62,6 @@ const DOWNLOAD_URLS = {
'mac10.15': 'https://playwright.azureedge.net/builds/firefox/%s/firefox-mac-11.zip', 'mac10.15': 'https://playwright.azureedge.net/builds/firefox/%s/firefox-mac-11.zip',
'mac11': 'https://playwright.azureedge.net/builds/firefox/%s/firefox-mac-11.zip', 'mac11': 'https://playwright.azureedge.net/builds/firefox/%s/firefox-mac-11.zip',
'mac11-arm64': 'https://playwright.azureedge.net/builds/firefox/%s/firefox-mac-11.0-arm64.zip', 'mac11-arm64': 'https://playwright.azureedge.net/builds/firefox/%s/firefox-mac-11.0-arm64.zip',
'win32': 'https://playwright.azureedge.net/builds/firefox/%s/firefox-win32.zip',
'win64': 'https://playwright.azureedge.net/builds/firefox/%s/firefox-win64.zip', 'win64': 'https://playwright.azureedge.net/builds/firefox/%s/firefox-win64.zip',
}, },
'firefox-beta': { 'firefox-beta': {
@ -73,7 +71,6 @@ const DOWNLOAD_URLS = {
'mac10.15': 'https://playwright.azureedge.net/builds/firefox-beta/%s/firefox-beta-mac-11.zip', 'mac10.15': 'https://playwright.azureedge.net/builds/firefox-beta/%s/firefox-beta-mac-11.zip',
'mac11': 'https://playwright.azureedge.net/builds/firefox-beta/%s/firefox-beta-mac-11.zip', 'mac11': 'https://playwright.azureedge.net/builds/firefox-beta/%s/firefox-beta-mac-11.zip',
'mac11-arm64': 'https://playwright.azureedge.net/builds/firefox-beta/%s/firefox-beta-mac-11.0-arm64.zip', 'mac11-arm64': 'https://playwright.azureedge.net/builds/firefox-beta/%s/firefox-beta-mac-11.0-arm64.zip',
'win32': 'https://playwright.azureedge.net/builds/firefox-beta/%s/firefox-beta-win32.zip',
'win64': 'https://playwright.azureedge.net/builds/firefox-beta/%s/firefox-beta-win64.zip', 'win64': 'https://playwright.azureedge.net/builds/firefox-beta/%s/firefox-beta-win64.zip',
}, },
}; };
@ -299,7 +296,7 @@ function getHostPlatform() {
return 'ubuntu20.04'; return 'ubuntu20.04';
} }
if (platform === 'win32') if (platform === 'win32')
return os.arch() === 'x64' ? 'win64' : 'win32'; return 'win64';
return platform; return platform;
} }